Package wx :: Module richtext :: Class RichTextPlainText

[frames | no frames]

## Type RichTextPlainText

    object --+
             |
        Object --+
                 |
    RichTextObject --+
                     |
                    RichTextPlainText

This object represents a single piece of text.

Method Summary
RichTextPlainText | ``__init__`(self, text, parent, style)` This object represents a single piece of text.
| `Copy(self, obj)`
long | `GetFirstLineBreakPosition(self, pos)`
String | `GetText(self)`
| `SetText(self, text)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, text=wxEmptyString, parent=None, style=None)
(Constructor)

This object represents a single piece of text.

  Parameters:
    `text`
    (type=String)

    `parent`
    (type=RichTextObject)

    `style`
    (type=TextAttrEx)

  Returns:
    RichTextPlainText
  Overrides:
    `wx.richtext.RichTextObject.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown-42978192(...)
  Set Method:
    unknown-42978312(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:47:16 2007 | http://epydoc.sf.net